<script setup>
import { computed } from 'vue'
import Timetable from "@/components/Timetable.vue";

const props = defineProps({
  promotions: Array,
  places: Array,
  employees: Array,
  subjects: Array
})

const promotions = computed(() => props.promotions)
const places = computed(() => props.places)
const employees = computed(() => props.employees)
const subjects = computed(() => props.subjects)
</script>

<template>
  <div class="manage">
    <div class="instructions">
      <p>Management page</p>
      <ul>
        <li>Click on a timeslot to update or delete it or even drag it to another time or day</li>
        <li>Click on an empty space or click and drag to create a new timeslot</li>
      </ul>
    </div>
    <Timetable :places="places" :employees="employees" :subjects="subjects" :promotions="promotions" :manage="true" />
  </div>
</template>

<style scoped>
.manage {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100vw;
}

.instructions {
  margin-top: 1em;
  padding: 0.5em;
  width: 90%;
  text-align: left;
  line-height: 1.2;
}

.instructions p {
  font-size: 1.5em;
  font-weight: bold;
  text-align: center;
}
</style>